Foxit PDF Conversion SDK

Public Member Functions | List of all members
foxit::WStringArray Class Reference

Inherits CFX_Object.

## Public Member Functions
| WStringArray ()
| Constructor.
| WStringArray (const WStringArray &other)
| Constructor, with another array object. More...
| ~ WStringArray ()
| Destructor.
void | Add (const WString &element)
| Add an element to the end of current array. More...
WString | GetAt (size_t index) const
| Retrieve a copy of the element at position specified by index in current array. More...
size_t | GetSize () const
| Get the size of elements in current array. More...
void | InsertAt (size_t index, const WString &element)
| Insert an element before the position specified by index. More...
WStringArray & | operator= (const WStringArray &other)
| Assign operator. More...
WString & | operator[] (size_t index) const
| Retrieve a reference to the element at position specified by index in current array. More...
void | RemoveAll ()
| Remove all the element from current array. More...
void | RemoveAt (size_t index)
| Remove the element in position specified by index. More...

## Detailed Description

This class represents an array of WString objects.

## Constructor & Destructor Documentation

## ◆ WStringArray()

foxit::WStringArray::WStringArray | ( | const WStringArray & | other | ) |

Constructor, with another array object.

Parameters

  [in] | other | Another array object.

## Member Function Documentation

## ◆ Add()

void foxit::WStringArray::Add | ( | const WString & | element | ) |

Add an element to the end of current array.

Parameters

  [in] | element | New element to be added to current array.

Returns
  None.

## ◆ GetAt()

WString foxit::WStringArray::GetAt | ( | size_t | index | ) | const

Retrieve a copy of the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  A copy of an element.

## ◆ GetSize()

size_t foxit::WStringArray::GetSize | ( |  | ) | const

Get the size of elements in current array.

Returns
  The size.

## ◆ InsertAt()

void foxit::WStringArray::InsertAt | ( | size_t | index,
|  | const WString & | element
| ) |  |

Insert an element before the position specified by index.

Parameters

  [in] | index | An index to specify where to insert the new element. Valid range: from 0 to (size-1). size is the size of elements in current array.
  [in] | element | New element to be inserted to current array.

Returns
  None.

## ◆ operator=()

WStringArray& foxit::WStringArray::operator= | ( | const WStringArray & | other | ) |

Assign operator.

Parameters

  [in] | other | Another array object, whose value will be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator[]()

WString& foxit::WStringArray::operator[] | ( | size_t | index | ) | const

Retrieve a reference to the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  Reference to an element.

## ◆ RemoveAll()

void foxit::WStringArray::RemoveAll | ( |  | ) |

Remove all the element from current array.

Returns
  None.

## ◆ RemoveAt()

void foxit::WStringArray::RemoveAt | ( | size_t | index | ) |

Remove the element in position specified by index.

Parameters

  [in] | index | An index to specify which element is to be removed. Valid range: from 0 to (size-1). size is the size of elements in current array.

Returns
  None.